unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Packform;

type
  TForm1 = class(TForm)
    PackagePanel1: TPackagePanel;
    Splitter1: TSplitter;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure PackagePanel1ErrorLoad(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  PackagePanel1.LoadPack('PackExample.dpl');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  PackagePanel1.LoadPack('PackExample2.dpl');
end;

procedure TForm1.PackagePanel1ErrorLoad(Sender: TObject);
begin
  showmessage('Error loading Package');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  PackagePanel1.UnloadPack;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  PackagePanel1.UnloadPack;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
//  TPackForm(PackInt).Color:=clRed;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   PackagePanel1.Packagepath:=ExtractFilepath(Application.Exename);
end;

end.
